<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
  <meta charset="UTF-8" />
  <title>KPI</title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
  <div th:include="sidebar/sidebar_masterdata::sidebar_masterdata" th:remove="tag">
    sidebar
  </div>


  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
          <i class="fa fa-check-circle text-secondary" ></i> KPI
        </div>
      </div>
    </div>




    <div class="row">
      <div class="col-md-12">
        <div class="card border-0 shadow-sm">
          <div class="card-header p-4">
            <div class="d-flex justify-content-between">
              <span class="fw-bold text-secondary">List Department</span>
            </div>
          </div>
          <div class="card-body p-4 border-0">
            <form method="get">
              <div class="row">
                <div class="col-md-9">
                  Show entries <span sd:page-size-selector="javascript"></span>
                </div>

                <div class="col-md-3" align="right">
                  <input
                          class="form-control me-2"
                          type="text"
                          placeholder="Search"
                          name="search"
                          th:value="${search}"
                          aria-label="Search"
                  />
                  <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>

              </div>
            </form>
          </div>
          <div class="card-body p-0">
            <table class="table table-striped table-hover small mb-0 ">
              <thead>

              <tr>
                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">#</th>
                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Dept</th>
                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Position</th>
                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">KPI</th>
                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
              </tr>
              </thead>
              <tbody class="align-middle">
              <tr th:each="datePositionKpi,row : ${listPositionKpi}">
                <td class="border-start-0 border-end-0 text-end" th:text="${(row.index + 1) + (listPositionKpi.number * listPositionKpi.size)+'.'}">1.</td>
                <td class="border-start-0 border-end-0" >
                  <span th:text="${datePositionKpi.getDepartemen()}"></span>
                </td>
                <td class="border-start-0 border-end-0">
                  <span th:text="${datePositionKpi.getPosition()}"></span>
                </td>
                <td class="border-start-0 border-end-0" width="30%">
                  <pre th:text="${datePositionKpi.getKpi()}" style="max-width: 100%; overflow-wrap: break-word; white-space: pre-wrap;"></pre>
                </td>

                <td class="border-start-0 border-end-0">
                  <a class="btn btn-primary btn-sm" th:href="@{/masterdata/kpi/setting(position = ${datePositionKpi.getId()},search = ${search}, page = ${page.getPageNumber()}, size = ${page.getPageSize()})}" title="Setting KPI">
                    <i class="fa fa-gear"></i>
                  </a>
                </td>
                <td class="border-start-0 border-end-0">
                  <form method="post" th:action="@{/masterdata/kpi/clear(position=${datePositionKpi.getId()})}">
                    <button type="submit" class="btn btn-danger btn-sm"
                            onclick="return confirm('Are you sure want to delete this?')">
                      <i class="fa fa-trash"></i>
                    </button>
                  </form>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
          <div class="card-footer border-top-0 pt-4">
            <nav aria-label="Page navigation example">
              <ul class="pagination" sd:pagination="full"></ul>
            </nav>
          </div>
        </div>
      </div>
    </div>

  </main>


</main>
</body>
</html>
